/*
 * RenderTangentNormalMap
 *
 * DESCRIPTION:
 *   Use this surface shader to render a tangent-space normal map
 *   from an orthographic projection of a 3D design
 *
 * COPYRIGHT 2011 SiTex Graphics, Inc.
 */

surface RenderTangentNormalMap(
  float ReverseZ = 1;
)
{
   normal NN=normalize(faceforward(N,I));
   if (ReverseZ!=0) setzcomp(NN,-zcomp(NN));
   NN=0.5+0.5*NN;
   Ci = NN;
   Oi = 1;
}
